curl --request PATCH \
--url https://api.justpaid.io/api/v1/customer/{customer_uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"external_id": "CUST-001",
"billing_address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"shipping_address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"currency": "USD",
"tax_exempt": false,
"contact_name": "<string>",
"email": "<string>",
"additional_emails": [
"<unknown>"
],
"billing_emails": [
"<unknown>"
],
"phone_number": "<string>",
"tax_id": "<string>"
}
'import requests
url = "https://api.justpaid.io/api/v1/customer/{customer_uuid}"
payload = {
"name": "John Doe",
"external_id": "CUST-001",
"billing_address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"shipping_address": {
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"currency": "USD",
"tax_exempt": False,
"contact_name": "<string>",
"email": "<string>",
"additional_emails": ["<unknown>"],
"billing_emails": ["<unknown>"],
"phone_number": "<string>",
"tax_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John Doe',
external_id: 'CUST-001',
billing_address: {
address_line1: '<string>',
address_line2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
},
shipping_address: {
address_line1: '<string>',
address_line2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
},
currency: 'USD',
tax_exempt: false,
contact_name: '<string>',
email: '<string>',
additional_emails: ['<unknown>'],
billing_emails: ['<unknown>'],
phone_number: '<string>',
tax_id: '<string>'
})
};
fetch('https://api.justpaid.io/api/v1/customer/{customer_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "Updated Name",
"email": "updated.email@example.com",
"external_id": "CUST-002",
"billing_address": {
"address_line1": "789 New St",
"city": "New City",
"state": "NY",
"zip": "54321",
"country": "US"
},
"shipping_address": {
"address_line1": "321 Ship St",
"city": "Ship City",
"state": "CA",
"zip": "98765",
"country": "US"
}
}{
"detail": "Customer with UUID X not found"
}Customer Update Api
Updates a customer’s information.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Schema for creating or updating a customer.
Attributes: name (str): The name of the customer. contact_name (Optional[str]): The name of the contact person for the customer. email (Optional[str]): The primary email address of the customer. additional_emails (Optional[List[str]]): A list of additional email addresses for the customer. billing_emails (Optional[List[str]]): A list of email addresses used for billing purposes. phone_number (Optional[str]): The customer's phone number, including country code. currency (Optional[str]): The currency used by the customer, defaulting to USD. tax_id (Optional[str]): The customer's tax identification number. billing_address (Optional[AddressSchema]): The customer's billing address. shipping_address (Optional[AddressSchema]): The customer's shipping address. external_id (Optional[str]): An external identifier for the customer.
The name of the customer.
"John Doe"
An optional external identifier for the customer. This can be used to link the customer to an external system.
"CUST-001"
The customer's billing address.
Show child attributes
Show child attributes
The customer's shipping address.
Show child attributes
Show child attributes
The currency used by the customer.
"USD"
Whether the customer is tax-exempt. Must be true or false; null is not accepted.
The name of the contact person
100100A list of additional customer email addresses
Billing email addresses
Customer phone number with country code
50Customer tax id
25Response
Customer updated successfully
Schema for retrieving customer information.
Attributes: uuid (UUID): The unique identifier for the customer. name (str): The name of the customer. contact_name (Optional[str]): The name of the contact person for the customer. email (Optional[str]): The primary email address of the customer. additional_emails (Optional[List[str]]): A list of additional email addresses for the customer. billing_emails (Optional[List[str]]): A list of email addresses used for billing purposes. phone_number (Optional[str]): The customer's phone number, including country code. currency (Optional[str]): The currency used by the customer. tax_id (Optional[str]): The customer's tax identification number. billing_address (Optional[AddressSchema]): The customer's billing address. shipping_address (Optional[AddressSchema]): The customer's shipping address. external_id (Optional[str]): An external identifier for the customer, aliased as 'external_customer_id'.
The unique identifier for the customer.
"123e4567-e89b-12d3-a456-426614174000"
The name of the customer.
"John Doe"
The name of the contact person for the customer.
"John Doe"
The primary email address of the customer.
"john.doe@example.com"
A list of additional email addresses for the customer.
[
"john.doe@example.com",
"jane.doe@example.com"
]
A list of email addresses used for billing purposes.
[
"john.doe@example.com",
"jane.doe@example.com"
]
The customer's phone number, including country code.
"+1234567890"
The currency used by the customer.
"USD"
The customer's tax identification number.
"1234567890"
Whether the customer is exempt from taxes.
The customer's billing address.
Show child attributes
Show child attributes
The customer's shipping address.
Show child attributes
Show child attributes
An optional external identifier for the customer. This can be used to link the customer to an external system.
"CUST-001"
Timestamp when the customer was created.
Timestamp when the customer was last updated.
External customer Id
100Was this page helpful?
